Skip to content

listNotificationDeliveries

GET
/api/v1/notifications/deliveries
curl --request GET \
--url https://example.com/api/v1/notifications/deliveries

List notification deliveries. Requires an Owner or Administrator with the admin scope.

limit
integer
>= 1

Notification deliveries

Media typeapplication/json
object
data
required
Array<object>
object
id
required
string format: uuid
eventKey
required
string
category
required
string
Allowed values: incident content_health backup update
severity
required
string
Allowed values: info warning error critical
channel
required
string
Allowed values: email webhook
target
required
string
subject
required
string
status
required
string
Allowed values: pending sent failed cancelled
attempts
required
integer
lastError
string
createdAt
required
string format: date-time
sentAt
string format: date-time
Example
{
"data": [
{
"category": "incident",
"severity": "info",
"channel": "email",
"status": "pending"
}
]
}

Dashboard authentication required

Insufficient role